安装出错,求助~ 包有冲突~~[已解决]

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
believe45
帖子: 18
注册时间: 2007-02-05 23:10
送出感谢: 0
接收感谢: 0

安装出错,求助~ 包有冲突~~[已解决]

#1

帖子 believe45 » 2007-02-14 15:35

E: /var/cache/apt/archives/beryl-dbus_0.1.4~0beryl1_i386.deb: trying to overwrite `/usr/lib/beryl/libdbus.so', which is also in package beryl-plugins
E: /var/cache/apt/archives/beryl-plugins-extra_0.1.99.2~0beryl1_all.deb: trying to overwrite `/usr/lib/beryl/libthumbnail.so', which is also in package beryl-plugins
E: /var/cache/apt/archives/beryl-plugins-extra-dbg_0.1.99.2~0beryl1_i386.deb: trying to overwrite `/usr/lib/debug/usr/lib/beryl/libthumbnail.so', which is also in package beryl-plugins-dbg


这是什么原因呢?
上次由 believe45 在 2007-02-14 16:11,总共编辑 1 次。
头像
ct
帖子: 2201
注册时间: 2005-04-06 21:15
来自: 安徽黄山
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 ct » 2007-02-14 15:43

这几个包应该是要废弃了吧,版本和其它包并不同步更新了.
believe45
帖子: 18
注册时间: 2007-02-05 23:10
送出感谢: 0
接收感谢: 0

#3

帖子 believe45 » 2007-02-14 16:12

已解决问题~~~
多谢ls哦 ,呵呵~
:)
头像
biowee
帖子: 287
注册时间: 2006-07-31 22:55
送出感谢: 0
接收感谢: 0
联系:

是怎么解决的?

#4

帖子 biowee » 2007-03-24 10:26

把解决方案贴出来?我的也遇到这个问题,不过是在beryl 0.2中遇到的:

添加sources.list:

#KEY=81836EBF; gpg --keyserver subkeys.pgp.net --recv $KEY && gpg --export --armor $KEY | sudo apt-key add
deb http://download.tuxfamily.org/3v1deb dapper beryl-svn
deb-src http://download.tuxfamily.org/3v1deb dapper beryl-svn

/var/cache/apt/archives/beryl-plugins_0.2.0+svn20070119-r2900+foxy0_i386.deb: 正试图覆盖“/usr/lib/beryl/libdbus.so”,它属于软件包 beryl-dbus
回复

回到 “桌面特效”